Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class PrintStreamInfoStream

    java.lang.Object
      org.apache.lucene.util.InfoStream
          org.apache.lucene.util.PrintStreamInfoStream

All Implemented Interfaces:
  Closeable, Cloneable

    public class PrintStreamInfoStream

extends InfoStream

InfoStream implementation over a `PrintStream` such as `System.out`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`protected int` | `messageID`
`protected PrintStream` | `stream`

Fields inherited from class org.apache.lucene.util.InfoStream
`NO_OUTPUT`

Constructor Summary
`PrintStreamInfoStream(PrintStream stream)`
`PrintStreamInfoStream(PrintStream stream, int messageID)`

Method Summary
`void` | `close()`
`boolean` | `isEnabled(String component)` returns true if messages are enabled and should be posted to `InfoStream.message(java.lang.String, java.lang.String)`.
`boolean` | `isSystemStream()`
`void` | `message(String component, String message)` prints a message

Methods inherited from class org.apache.lucene.util.InfoStream
`clone, getDefault, setDefault`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messageID

    protected final int messageID

### stream

    protected final PrintStream stream

Constructor Detail

### PrintStreamInfoStream

    public PrintStreamInfoStream(PrintStream stream)

### PrintStreamInfoStream

    public PrintStreamInfoStream(PrintStream stream,
                                 int messageID)

Method Detail

### message

    public void message(String component,
                        String message)

  Description copied from class: `InfoStream`
  prints a message

  Specified by:
    `message` in class `InfoStream`

### isEnabled

    public boolean isEnabled(String component)

  Description copied from class: `InfoStream`
  returns true if messages are enabled and should be posted to `InfoStream.message(java.lang.String, java.lang.String)`.

  Specified by:
    `isEnabled` in class `InfoStream`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### isSystemStream

    public boolean isSystemStream()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.